<?php
/*
 * WPGear. Import Excel to Gravity Forms
 * admin.php
 */

	/* Admin Console - Styles.
	----------------------------------------------------------------- */	
	function GFXLImport_admin_style ($hook) {
		global $GFXLImport_plugin_url;
		
		$screen = get_current_screen();
		$screen_base = $screen->base;		
		
		if ( $screen_base == 'toplevel_page_gf_edit_forms' || $screen_base == 'gf-excel-import/includes/admin/options') {
			wp_enqueue_style ('gfxl_import_adminstyle', $GFXLImport_plugin_url .'/includes/admin/admin-style.css');
		}	
	}
	add_action ('admin_enqueue_scripts', 'GFXLImport_admin_style' );	

	/* Registering Styles with Gravity Forms when running on "no-conflict mode"
	----------------------------------------------------------------- */
	function GFXLImport_register_safe_styles_GF( $styles ){
		$styles[] = "gfxl_import_adminstyle";
		return $styles;
	}
	add_filter('gform_noconflict_styles', 'GFXLImport_register_safe_styles_GF' );
	
	/* Create plugin SubMenu
	----------------------------------------------------------------- */		
	function GFXLImport_create_menu() {
		add_options_page(
			__( 'Import Excel to Gravity Forms', 'textdomain' ),
			__( 'Import Excel to Gravity Forms', 'textdomain' ),
			'publish_posts',
			'import-excel-to-gravity-forms/includes/admin/options.php',
			''
		);
	}
	add_action('admin_menu', 'GFXLImport_create_menu');	

	/* Add Metabox Excel-Import. Gravity Forms -> Page: Settings.
	----------------------------------------------------------------- */	
	add_filter('gform_form_settings', 'GFXLImport_add_metabox', 10, 2);
	function GFXLImport_add_metabox($form_settings, $form){		
        // В старших версиях GF изменен формат Всплывающих Подсказок. Поэтому, делаем универсальный вариант. Без изысков.
		
		$Options_GFXLImport = (isset($form['gfxl_import']) && $form['gfxl_import'] == 'on') ? 'checked' : '';
		
		$form_settings['Excel Import']['gfxl_import'] = '
			<tr>
				<th>
					Excel Import <a href=\'#\' onclick=\'return false;\' onkeypress=\'return false;\' class=\'gf_tooltip tooltip tooltip_form_form_button_gfxl_import\' title=\'Bulk Import of Records from Excel (CSV) files with Validation and Internal Logic support.\'><i class=\'fa fa-question-circle\'></i></a>
				</th>
				<td>
					<input type="checkbox" id="form_button_gfxl_import" name="gfxl_import" ' .$Options_GFXLImport . '>
					<label for="form_button_gfxl_import" class="inline"> Enable Excel Import</label>
				</td>
			 </tr>
		';	
		
		return $form_settings;
	}

	/* Save MetaBox Excel-Import. Gravity Forms -> Page: Settings.
	----------------------------------------------------------------- */
	add_filter('gform_pre_form_settings_save', 'GFXLImport_save_metabox');
	function GFXLImport_save_metabox($form) {		
		
        $form['gfxl_import'] = rgpost( 'gfxl_import' );

        return $form;
	}	