<?php
/*
 * WPGear. Import Excel to Gravity Forms
 * options.php
 */
	
	$GFXLImport_Action 			= isset($_REQUEST['action']) ? sanitize_text_field ($_REQUEST['action']) : null;
	$GFXLImport_Setup_AdminOnly = isset($_REQUEST['gfxl_import_option_adminonly']) ? 1 : 0;	
	$GFXLImport_CSV_Separator	= isset($_REQUEST['gfxl_import_option_separator']) ? sanitize_text_field ($_REQUEST['gfxl_import_option_separator']) : ',';
	
	if ($GFXLImport_Action == 'Update') {		
		update_option('gfxl_import_option_adminonly', $GFXLImport_Setup_AdminOnly);
		update_option('gfxl_import_option_separator', $GFXLImport_CSV_Separator);
	} else {
		$GFXLImport_Setup_AdminOnly = get_option('gfxl_import_option_adminonly', 1);
		$GFXLImport_CSV_Separator 	= get_option('gfxl_import_option_separator', ',');
	}	
	
	if ($GFXLImport_Setup_AdminOnly) {
		if (!current_user_can('edit_dashboard')) {
			?>
			<div class="gfxl_import_warning" style="margin: 40px;">
				Sorry, you are not allowed to view this page.
			</div>
			<?php
			
			return;
		}		
	}
	
	?>
	<div class="wrap">
		<h2>Import Excel to Gravity Forms</h2>
		<hr>
		
		<div class="gfxl_import_options_box">
			<form name="form_GFXLImport_Options" method="post" style="margin-top: 20px;">
				<div style="margin-top: 10px;">
					<label for="gfxl_import_option_adminonly" title="On/Off">
					Enable this Page for Admin only
					</label>
					<input id="gfxl_import_option_adminonly" name="gfxl_import_option_adminonly" name="gfxl_import_option_adminonly" type="checkbox" <?php if($GFXLImport_Setup_AdminOnly) {echo 'checked';} ?>>
				</div>				

				<div style="margin-top: 10px;">
					<label for="gfxl_import_option_separator" title="On/Off">
					CSV Separator
					</label>
					<input id="gfxl_import_option_separator" name="gfxl_import_option_separator" class="gfxl_import_option_separator" type="text" maxlength="1" value="<?php echo $GFXLImport_CSV_Separator; ?>">
				</div>					

				<hr>
				<div style="margin-top: 10px; margin-bottom: 5px; text-align: right;">
					<input id="gfxl_import_btn_options_save" type="submit" class="button button-primary" style="margin-right: 5px;" value="Save">
				</div>
				<input id="action" name="action" type="hidden" value="Update">
			</form>
		</div>			
	</div>
